@import "../../../../public/assets/styles/variables";
@import "../../../../public/assets/styles/functions";

.multiple-panel {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    max-width: get-vw(1560px);
    min-width: 300px;
    padding: get-vw(25px);
    background: linear-gradient(180deg, #FDFDFD 7.15%, #E7E7E7 100%);
    box-shadow: 20px 23px 50px rgba(130, 130, 130, 0.23), inset 14px 14px 15px #FFFFFF, inset -9px -14px 15px #E1E1E1;
    border-radius: 72px;
    @media (max-width: 799px) {
        max-width: vw-m(305px);
        background: none;
        box-shadow: none;
        padding: 0;
    }
    &__first-inner {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 100%;
        padding: get-vw(5px);
        background: linear-gradient(180deg, #FDFDFD 7.15%, #EEEEEE 100%);
        box-shadow: inset 7px 4px 8px rgba(217, 217, 217, 0.35), inset -4px -4px 4px rgba(255, 255, 255, 0.55);
        border-radius: 45px;
        @media (max-width: 799px) {
            padding: vw-m(5px);
            background: linear-gradient(180deg, #FDFDFD 7.15%, #EEEEEE 100%);
            box-shadow: inset 7px 4px 8px rgba(217, 217, 217, 0.35), inset -4px -4px 4px rgba(255, 255, 255, 0.55);
            border-radius: 33px;
        }
    }
    &__second-inner {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 100%;
        padding: get-vw(7px);    
        background: linear-gradient(180deg, #FDFDFD 7.15%, #F8F8F8 100%);
        box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.08), inset 14px 14px 15px #FFFFFF, inset -9px -14px 15px rgba(225, 225, 225, 0.4);
        border-radius: 44px;
        @media (max-width: 799px) {
            padding: vw-m(4px);
            background: linear-gradient(180deg, #FDFDFD 7.15%, #F8F8F8 100%);
            box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.08), inset 14px 14px 15px #FFFFFF, inset -9px -14px 15px rgba(225, 225, 225, 0.4);
            border-radius: 27px;
        }
    }
    &__third-inner {
        display: flex;
        width: 100%;
        min-height: 200px;
        padding: get-vw(10px);
        background: linear-gradient(180deg, #FDFDFD 7.15%, #EEEEEE 100%);
        box-shadow: inset 7px 4px 8px rgba(217, 217, 217, 0.35), inset -4px -4px 4px rgba(255, 255, 255, 0.55);
        border-radius: 37px;
        @media (max-width: 799px) {
            flex-direction: column;
            background: linear-gradient(180deg, #FDFDFD 7.15%, #EEEEEE 100%);
            box-shadow: inset 7px 4px 8px rgba(217, 217, 217, 0.35), inset -4px -4px 4px rgba(255, 255, 255, 0.55);
            border-radius: 25px;
        }
    }
    &__header {
        padding: get-vw(36px) get-vw(20px) get-vw(47px) get-vw(20px);
        font-family: 'Roboto';
        font-style: normal;
        font-weight: normal;
        font-size: get-rem(32px);
        line-height: 1;
        letter-spacing: 0.01em;
        color: $text-color;
        @media (max-width: 799px) {
            padding: 0 vw-m(20px) vw-m(32px);
            font-weight: 500;
            font-size: 24px;
            line-height: 130.19%;
            text-align: center;
        }
    }
    &__footer {
        padding: get-vw(25px) get-vw(20px) 0 get-vw(20px);
        font-family: 'Roboto';
        font-style: normal;
        font-weight: normal;
        font-size: get-rem(32px);
        line-height: 1;
        letter-spacing: 0.01em;
        color: $text-color;
        @media (max-width: 799px) {
            padding: vw-m(24px) 0 0 0;
        }
    }
    &__item {
        width: 49%;
        min-height: 200px;
        margin-right: get-vw(32px);
        background: linear-gradient(180deg, #FDFDFD 8.37%, #EEEEEE 109.74%);
        box-shadow: inset 7px 4px 8px rgba(217, 217, 217, 0.35), inset -4px -4px 4px rgba(255, 255, 255, 0.55);
        border-radius: 32px;
        @media (max-width: 799px) {
            width: auto;
            margin-right: 0;
            background: linear-gradient(180deg, #FDFDFD 7.15%, #EEEEEE 100%);
            box-shadow: inset 7px 4px 8px rgba(217, 217, 217, 0.35), inset -4px -4px 4px rgba(255, 255, 255, 0.55);
            border-radius: 25px;
            margin-bottom: vw-m(16px);
        }
        &_last {
            margin-right: 0;
            @media (max-width: 799px) {
                margin-bottom: 0;
            }
        }
    }
}